function wpwhoosh_host_confirm_delete($id) {
  return confirm("You are about to delete the host with ID "+$id+"\n Press `Cancel` to stop, `OK` to delete." );
}

function wpwhoosh_host_validator() {
    jQuery('#save').unbind('click'); 
    jQuery('#host_form').validate({
      ignore: ":submit",
      rules: {
        host_name: { required: true },
        cpanel_url: { required: true, url: true },
        cpanel_user: { required: true, alphanumeric: true, minlength : 2, maxlength: 8 },
        cpanel_password: { required: true },
		},
      messages: {
        host_name: "Enter a short meaningful name for your host",
        cpanel_url: { 
        	required: "Enter your full cPanel URL",
        	url: "The URL should be something like https://gator123.hostgator.com:2083"
        	},
        cpanel_user: { 
        	required: "Enter your cPanel user name",
        	alphanumeric: "The username should consist of just numbers and letters"
        	},
        cpanel_password: "Enter your cPanel password",
      },
      submitHandler: function(form) {
        jQuery('#save').attr("disabled", "disabled"); //stop extra clicks
        form.submit();
      },       
    });
}


jQuery(document).ready(function() {
	wwpwhoosh_host_validator();
});